Subject: garden worth visiting

From: [email-masked] (Erika McNeil)
Date: 31 Mar 1995 13:46:53 GMT

I wanted to share a wonderful garden with you.  My husband and I discovered 
this place when we recently moved to Columbus, Ohio and were looking for things
to do.  The place is called Inniswood Metrogarden, in Westerville, Ohio, and 
it's part of the Ohio park system.  It has a lovely rose garden, lily garden, 
and herb garden, complete with little stone benches and a small waterfall that 
passes by.  It smells divine and is at its peak from June-September.  It 
attracts a lot of migrating birds, like redstarts, warblers, and indigo 
buntings.  There is a boardwalk path through the woods that can easily 
accomodate strollers.  I suggest going on a weekday, since weekends can be 
busy.  They do have herb and flower shows and sales as well.  Best of all, it's
open all seasons and free!

*********************
Erika Hanson McNeil
*********************